package xylia.sax.contentmodelparser;


import java.util.HashMap;
import org.xml.sax.SAXException ;

/** A Map of content models.
 *  Typically an instance of this class is used as a parameter to
 *  a ContentModelParserDeclHandler. As such it stores the content
 *  model produced by that objects ContentModelFactory.
 *  Content models are keyed by element name as a String.
 *  The type of the object returned by get depends on the type
 *  
 * Copyright:    Copyright (c) 2001
 * Company:      MUN
 * @author Theodore S. Norvell
 * @version 1.0
 * @see ContentModelParserDeclHandler
 * @see ContentModelFactory
 */
 

public class ContentModelMap extends HashMap implements ParsedContentModelHandler {

    public void elementDecl(String qname, Object parsedContentModel) throws SAXException {
        if( containsKey( qname ) ) {
            throw new SAXException( "Duplicate Element declaration for"+qname) ; }
        put( qname, parsedContentModel ) ; }

}