package xylia.sax.contentmodelparser;

/** An interface for objects that handle parsed content models.
 *  <p>After each content model has been parsed, its representation is
 *  sent to a callback object conforming to this interface.</p>
 * Title:        Xylia
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:      MUN
 * @author   Theodore S. Norvell
 * @version 1.0
 */

public interface ParsedContentModelHandler {
    /** Receives the parsed content for an element.
     *  @param qname The qualified name of the element
     *  @param parsedContentModel An object representing the content model.
     */
    public void elementDecl(String qname, Object parsedContentModel) throws org.xml.sax.SAXException ;
}